package com.ruoyi.web.controller.demo.controller;

import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.framework.util.ShiroUtils;
import com.ruoyi.system.domain.*;
import com.ruoyi.system.service.IOrhonFgqyService;
import com.ruoyi.system.service.IOrhonGtxxService;
import com.ruoyi.system.service.IOrhonShzzService;
import com.ruoyi.system.service.ISysDictDataService;
import com.ruoyi.web.controller.demo.domain.*;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.BeanFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 报表控制器
 * @author ebusu
 * @date 2020/08/05
 */
@Controller
@RequestMapping("/report")
public class ReportController extends com.ruoyi.common.core.controller.BaseController{

    @Autowired
    private ISysDictDataService dictDataService;

    @Autowired
    private IOrhonFgqyService orhonFgqyService;

    @Autowired
    private IOrhonGtxxService orhonGtxxService;

    @Autowired
    private IOrhonShzzService orhonShzzService;
    /**
     * 第一个报表
     * 非公企业"两个覆盖"专项行动摸底排查情况统计表
     */
    @PostMapping("/one")
    @ResponseBody
    public TableDataInfo reportOne(){
        SysDictData sysDictData = new SysDictData();
        sysDictData.setDictType("orhon_qyfl");
        sysDictData.setStatus("0");
        List<SysDictData> areaList = this.dictDataService.selectDictDataList(sysDictData);
        TableDataInfo rspData = new TableDataInfo();
        List<OrhonFgqy> allFgqy = this.orhonFgqyService.selectOrhonFgqyList(new OrhonFgqy());
        Map<Long, ReportOneResult> qiquMap = new HashMap<>(12);

        ReportOneResult zongji=new ReportOneResult();
        this.initResult(zongji);
        zongji.setAreaName("总计");

        Map<String, String> dzzmcddMap = new HashMap<>();
        Map<String, String> dzzmclhMap = new HashMap<>();

        for (OrhonFgqy orhonFgqy : allFgqy) {
            ReportOneResult tmpResult = null;
            if(orhonFgqy.getDeptId()==null) {
                orhonFgqy.setDeptId(0l);
            }
            if ( qiquMap.get(orhonFgqy.getDeptId()) == null) {
                tmpResult = new ReportOneResult();
                this.initResult(tmpResult);
                qiquMap.put(orhonFgqy.getDeptId(), tmpResult);
            } else {
                tmpResult = qiquMap.get(orhonFgqy.getDeptId());
            }
            zongji.setDwl(zongji.getDwl() + 1);
            tmpResult.setDwl(tmpResult.getDwl() + 1);
            if ( orhonFgqy.getIsdzz() != null && orhonFgqy.getIsdzz().equals("1")) {
                // 已建立党组织
                tmpResult.setSl(tmpResult.getSl() + 1);
                zongji.setSl(zongji.getSl() + 1);
                if (orhonFgqy.getIssqlh()!=null && orhonFgqy.getIssqlh().equals("1")) {
                    tmpResult.setDdsqlhdfgqy(tmpResult.getDdsqlhdfgqy() + 1);
                    zongji.setDdsqlhdfgqy(zongji.getDdsqlhdfgqy() + 1);
                }
                if (orhonFgqy.getIsgh()!=null && orhonFgqy.getIsgh().equals("1")) {
                    tmpResult.setYjlghzzdfgqy(tmpResult.getYjlghzzdfgqy() + 1);
                    zongji.setYjlghzzdfgqy(zongji.getYjlghzzdfgqy() + 1);
                }
                if (orhonFgqy.getIstzz()!=null && orhonFgqy.getIstzz().equals("1")) {
                    tmpResult.setYjlgqtzzdfgqy(tmpResult.getYjlgqtzzdfgqy() + 1);
                    zongji.setYjlgqtzzdfgqy(zongji.getYjlgqtzzdfgqy() + 1);
                }
                if (orhonFgqy.getIsjljcfnzz()!=null && orhonFgqy.getIsjljcfnzz().equals("1")) {
                    tmpResult.setYjlfnjczzdfgqy(tmpResult.getYjlfnjczzdfgqy() + 1);
                    zongji.setYjlfnjczzdfgqy(zongji.getYjlfnjczzdfgqy() + 1);
                }
                if (orhonFgqy.getSfpdjzdy()!=null && orhonFgqy.getSfpdjzdy().equals("1")) {
                    tmpResult.setDjzdyhdjzdzlxdfgqy(tmpResult.getDjzdyhdjzdzlxdfgqy() + 1);
                    zongji.setDjzdyhdjzdzlxdfgqy(zongji.getDjzdyhdjzdzlxdfgqy() + 1);
                }
                try {
                    tmpResult.setDys(Integer.parseInt(orhonFgqy.getDys()) + tmpResult.getDys());
                    zongji.setDys(Integer.parseInt(orhonFgqy.getDys()) + zongji.getDys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setCyrysl( Integer.parseInt( orhonFgqy.getCyrs()) + tmpResult.getCyrysl());
                    zongji.setCyrysl( Integer.parseInt( orhonFgqy.getCyrs()) + zongji.getCyrysl());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setNnfzdydfgqy ( Integer.parseInt( orhonFgqy.getNnfzdys()) + tmpResult.getNnfzdydfgqy());
                    zongji.setNnfzdydfgqy ( Integer.parseInt( orhonFgqy.getNnfzdys()) + zongji.getNnfzdydfgqy());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setFzdys( Integer.parseInt( orhonFgqy.getFzdxsl()) + tmpResult.getFzdys());
                    zongji.setFzdys( Integer.parseInt( orhonFgqy.getFzdxsl()) + zongji.getFzdys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                if ( "1".equals(orhonFgqy.getDzzlx()) ) {
                    // 党委
                    tmpResult.setDws(tmpResult.getDws() + 1);
                    zongji.setDws(zongji.getDws() + 1);
                } else if ( "2".equals(orhonFgqy.getDzzlx()) ) {
                    // 党支部
                    tmpResult.setDzbs(tmpResult.getDzbs() + 1);
                    zongji.setDzbs(zongji.getDzbs() + 1);
                } if ( "3".equals(orhonFgqy.getDzzlx()) ) {
                    // 党总支
                    tmpResult.setDzzs(tmpResult.getDzzs() + 1);
                    zongji.setDzzs(zongji.getDzzs() + 1);
                }
                if ( "1".equals(orhonFgqy.getIshdzd())) {
                    tmpResult.setYgdhdcsdfgqy(tmpResult.getYgdhdcsdfgqy()+1);
                    zongji.setYgdhdcsdfgqy(zongji.getYgdhdcsdfgqy()+1);
                    tmpResult.setDdjldzzdfgqy(tmpResult.getDdjldzzdfgqy()+1);
                    zongji.setDdjldzzdfgqy(zongji.getDdjldzzdfgqy()+1);
                    // 单独建立
                    if(dzzmcddMap.size()>0){
                        boolean hes=false;
                        for(String s:dzzmcddMap.values()){
                            if(orhonFgqy.getDzzmc()!=null && orhonFgqy.getDzzmc().equals(s)){
                                hes=true;
                            }
                        }
                        if(orhonFgqy.getDzzmc()!=null &&!hes){
                            dzzmcddMap.put(orhonFgqy.getId(),orhonFgqy.getDzzmc());
                            tmpResult.setDdjl(tmpResult.getDdjl() + 1);
                            tmpResult.setJldzzzs(tmpResult.getJldzzzs()+1);
                        }
                    }
                    else if(orhonFgqy.getDzzmc()!=null){
                        dzzmcddMap.put(orhonFgqy.getId(),orhonFgqy.getDzzmc());
                        tmpResult.setDdjl(tmpResult.getDdjl() + 1);
                        tmpResult.setJldzzzs(tmpResult.getJldzzzs()+1);
                    }
                }
                else if ( "2".equals(orhonFgqy.getIshdzd())) {
                    tmpResult.setYgdhdcsdfgqy(tmpResult.getYgdhdcsdfgqy()+1);
                    zongji.setYgdhdcsdfgqy(zongji.getYgdhdcsdfgqy()+1);
                    // 公用阵地  != 联合建立
                    if(dzzmclhMap.size()>0){
                        boolean hes=false;
                        for(String s:dzzmclhMap.values()){
                            if(orhonFgqy.getDzzmc()!=null && orhonFgqy.getDzzmc().equals(s)){
                                hes=true;
                            }
                        }
                        if(orhonFgqy.getDzzmc()!=null && !hes){
                            dzzmclhMap.put(orhonFgqy.getId(),orhonFgqy.getDzzmc());
                            tmpResult.setLhjl(tmpResult.getLhjl() + 1);
                            tmpResult.setJldzzzs(tmpResult.getJldzzzs()+1);
                        }
                    }else if(orhonFgqy.getDzzmc()!=null){
                        dzzmclhMap.put(orhonFgqy.getId(),orhonFgqy.getDzzmc());
                        tmpResult.setLhjl(tmpResult.getLhjl() + 1);
                        tmpResult.setJldzzzs(tmpResult.getJldzzzs()+1);
                    }
                }
//                else{
//                    if(dzzmcMap.size()>0){
//                        boolean hes=false;
//                        for(String s:dzzmcMap.values()){
//                            if(orhonFgqy.getDzzmc()!=null && orhonFgqy.getDzzmc().equals(s)){
//                                hes=true;
//                            }
//                        }
//                        if(orhonFgqy.getDzzmc()!=null && !hes){
//                            dzzmcMap.put(orhonFgqy.getDeptId(),orhonFgqy.getDzzmc());
//                        }
//                    }else if(orhonFgqy.getDzzmc()!=null){
//                        dzzmcMap.put(orhonFgqy.getDeptId(),orhonFgqy.getDzzmc());
//                    }
//                }
            } else {
                // 空或者不等于1的统统为未建立
                if (orhonFgqy.getIsdy()!=null && orhonFgqy.getIsdy().equals("1")) {
                    tmpResult.setWeiydydfgqy(tmpResult.getWeiydydfgqy() + 1);
                    zongji.setWeiydydfgqy(zongji.getWeiydydfgqy() + 1);
                }
                if (orhonFgqy.getSfpdjzdy()!=null && orhonFgqy.getSfpdjzdy().equals("1")) {
                    tmpResult.setWeidjzdyhdjzdzlxdfgqy(tmpResult.getWeidjzdyhdjzdzlxdfgqy() + 1);
                    zongji.setWeidjzdyhdjzdzlxdfgqy(zongji.getWeidjzdyhdjzdzlxdfgqy() + 1);
                }
                if (orhonFgqy.getIsgh()!=null && orhonFgqy.getIsgh().equals("1")) {
                    tmpResult.setWeiyjlghzzdfgqy(tmpResult.getWeiyjlghzzdfgqy() + 1);
                    zongji.setWeiyjlghzzdfgqy(zongji.getWeiyjlghzzdfgqy() + 1);
                }
                if (orhonFgqy.getIstzz()!=null && orhonFgqy.getIstzz().equals("1")) {
                    tmpResult.setWeiyjlgqtzzdfgqy(tmpResult.getWeiyjlgqtzzdfgqy() + 1);
                    zongji.setWeiyjlgqtzzdfgqy(zongji.getWeiyjlgqtzzdfgqy() + 1);
                }
                if (orhonFgqy.getIsjljcfnzz()!=null && orhonFgqy.getIsjljcfnzz().equals("1")) {
                    tmpResult.setWeiyjlfnjczzdfgqy(tmpResult.getWeiyjlfnjczzdfgqy() + 1);
                    zongji.setWeiyjlfnjczzdfgqy(zongji.getWeiyjlfnjczzdfgqy() + 1);
                }
                try {
                    tmpResult.setWeidys(Integer.parseInt(orhonFgqy.getDys()) + tmpResult.getWeidys());
                    zongji.setWeidys(Integer.parseInt(orhonFgqy.getDys()) + zongji.getWeidys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setWeicyrs( Integer.parseInt( orhonFgqy.getCyrs()) + tmpResult.getWeicyrs());
                    zongji.setWeicyrs( Integer.parseInt( orhonFgqy.getCyrs()) + zongji.getWeicyrs());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setWeinnfzdys ( Integer.parseInt( orhonFgqy.getNnfzdys()) + tmpResult.getWeinnfzdys());
                    zongji.setWeinnfzdys ( Integer.parseInt( orhonFgqy.getNnfzdys()) + zongji.getWeinnfzdys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
            }
        }
        zongji.setJldzzzs(dzzmcddMap.size()+dzzmclhMap.size());
        zongji.setDdjl(dzzmcddMap.size());
        zongji.setLhjl(dzzmclhMap.size());
        List<ReportOneResult> reportOneResultList = new ArrayList<>(areaList.size()+1);
        reportOneResultList.add(zongji);
        for (SysDictData dictData : areaList) {
            ReportOneResult result = qiquMap.get(Long.parseLong(dictData.getDictValue()));
            if(result == null){
                result = new ReportOneResult();
                this.initResult(result);
            }
            result.setAreaName(dictData.getDictLabel());
            reportOneResultList.add(result);
        }
        ReportOneResult result = qiquMap.get(0l);
        if(result!=null){
            result.setAreaName("空");
            reportOneResultList.add(result);
        }
        rspData.setRows(reportOneResultList);
        rspData.setTotal(reportOneResultList.size());
        return rspData;
    }
    /**
     * 第一个报表
     * 非公企业"两个覆盖"专项行动摸底排查情况统计表 按类别
     */
    @PostMapping("/onelb")
    @ResponseBody
    public TableDataInfo reportOnelb(){
        SysDictData sysDictData = new SysDictData();
        sysDictData.setDictType("orhon_qylx");
        sysDictData.setStatus("0");
        List<SysDictData> qylxList = this.dictDataService.selectDictDataList(sysDictData);
        TableDataInfo rspData = new TableDataInfo();
        List<OrhonFgqy> allFgqy = this.orhonFgqyService.selectOrhonFgqyList(new OrhonFgqy());
        Map<String, ReportOneResult> qiquMap = new HashMap<>(12);

        ReportOneResult zongji=new ReportOneResult();
        this.initResult(zongji);
        zongji.setType("总计");

        Map<String, String> dzzmcddMap = new HashMap<>();
        Map<String, String> dzzmclhMap = new HashMap<>();

        for (OrhonFgqy orhonFgqy : allFgqy) {
            ReportOneResult tmpResult = null;
            zongji.setDwl(zongji.getDwl() + 1);
            if(orhonFgqy.getType()==null) {
                orhonFgqy.setType("0");
            }
            if ( qiquMap.get(orhonFgqy.getType()) == null) {
                tmpResult = new ReportOneResult();
                this.initResult(tmpResult);
                qiquMap.put(orhonFgqy.getType(), tmpResult);
            } else {
                tmpResult = qiquMap.get(orhonFgqy.getType());
            }
            tmpResult.setDwl(tmpResult.getDwl() + 1);
            if ( orhonFgqy.getIsdzz() != null && orhonFgqy.getIsdzz().equals("1")) {
                // 已建立党组织
                tmpResult.setSl(tmpResult.getSl() + 1);
                zongji.setSl(zongji.getSl() + 1);
                if (orhonFgqy.getIssqlh()!=null && orhonFgqy.getIssqlh().equals("1")) {
                    tmpResult.setDdsqlhdfgqy(tmpResult.getDdsqlhdfgqy() + 1);
                    zongji.setDdsqlhdfgqy(zongji.getDdsqlhdfgqy() + 1);
                }
                if (orhonFgqy.getIsgh()!=null && orhonFgqy.getIsgh().equals("1")) {
                    tmpResult.setYjlghzzdfgqy(tmpResult.getYjlghzzdfgqy() + 1);
                    zongji.setYjlghzzdfgqy(zongji.getYjlghzzdfgqy() + 1);
                }
                if (orhonFgqy.getIstzz()!=null && orhonFgqy.getIstzz().equals("1")) {
                    tmpResult.setYjlgqtzzdfgqy(tmpResult.getYjlgqtzzdfgqy() + 1);
                    zongji.setYjlgqtzzdfgqy(zongji.getYjlgqtzzdfgqy() + 1);
                }
                if (orhonFgqy.getIsjljcfnzz()!=null && orhonFgqy.getIsjljcfnzz().equals("1")) {
                    tmpResult.setYjlfnjczzdfgqy(tmpResult.getYjlfnjczzdfgqy() + 1);
                    zongji.setYjlfnjczzdfgqy(zongji.getYjlfnjczzdfgqy() + 1);
                }
                if (orhonFgqy.getSfpdjzdy()!=null && orhonFgqy.getSfpdjzdy().equals("1")) {
                    tmpResult.setDjzdyhdjzdzlxdfgqy(tmpResult.getDjzdyhdjzdzlxdfgqy() + 1);
                    zongji.setDjzdyhdjzdzlxdfgqy(zongji.getDjzdyhdjzdzlxdfgqy() + 1);
                }
                try {
                    tmpResult.setDys(Integer.parseInt(orhonFgqy.getDys()) + tmpResult.getDys());
                    zongji.setDys(Integer.parseInt(orhonFgqy.getDys()) + zongji.getDys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setCyrysl( Integer.parseInt( orhonFgqy.getCyrs()) + tmpResult.getCyrysl());
                    zongji.setCyrysl( Integer.parseInt( orhonFgqy.getCyrs()) + zongji.getCyrysl());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setNnfzdydfgqy ( Integer.parseInt( orhonFgqy.getNnfzdys()) + tmpResult.getNnfzdydfgqy());
                    zongji.setNnfzdydfgqy ( Integer.parseInt( orhonFgqy.getNnfzdys()) + zongji.getNnfzdydfgqy());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setFzdys( Integer.parseInt( orhonFgqy.getFzdxsl()) + tmpResult.getFzdys());
                    zongji.setFzdys( Integer.parseInt( orhonFgqy.getFzdxsl()) + zongji.getFzdys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                if ( "1".equals(orhonFgqy.getDzzlx()) ) {
                    // 党委
                    tmpResult.setDws(tmpResult.getDws() + 1);
                    zongji.setDws(zongji.getDws() + 1);
                } else if ( "2".equals(orhonFgqy.getDzzlx()) ) {
                    // 党支部
                    tmpResult.setDzbs(tmpResult.getDzbs() + 1);
                    zongji.setDzbs(zongji.getDzbs() + 1);
                } if ( "3".equals(orhonFgqy.getDzzlx()) ) {
                    // 党总支
                    tmpResult.setDzzs(tmpResult.getDzzs() + 1);
                    zongji.setDzzs(zongji.getDzzs() + 1);
                }
                if ( "1".equals(orhonFgqy.getIshdzd())) {
                    tmpResult.setYgdhdcsdfgqy(tmpResult.getYgdhdcsdfgqy()+1);
                    zongji.setYgdhdcsdfgqy(zongji.getYgdhdcsdfgqy()+1);
                    tmpResult.setDdjldzzdfgqy(tmpResult.getDdjldzzdfgqy()+1);
                    zongji.setDdjldzzdfgqy(zongji.getDdjldzzdfgqy()+1);
                    // 单独建立
                    if(dzzmcddMap.size()>0){
                        boolean hes=false;
                        for(String s:dzzmcddMap.values()){
                            if(orhonFgqy.getDzzmc()!=null && orhonFgqy.getDzzmc().equals(s)){
                                hes=true;
                            }
                        }
                        if(orhonFgqy.getDzzmc()!=null &&!hes){
                            dzzmcddMap.put(orhonFgqy.getId(),orhonFgqy.getDzzmc());
                            tmpResult.setDdjl(tmpResult.getDdjl() + 1);
                            tmpResult.setJldzzzs(tmpResult.getJldzzzs()+1);
                        }
                    }else if(orhonFgqy.getDzzmc()!=null){
                        dzzmcddMap.put(orhonFgqy.getId(),orhonFgqy.getDzzmc());
                        tmpResult.setDdjl(tmpResult.getDdjl() + 1);
                        tmpResult.setJldzzzs(tmpResult.getJldzzzs()+1);
                    }
                }
                else if ( "2".equals(orhonFgqy.getIshdzd())) {
                    tmpResult.setYgdhdcsdfgqy(tmpResult.getYgdhdcsdfgqy()+1);
                    zongji.setYgdhdcsdfgqy(zongji.getYgdhdcsdfgqy()+1);
                    // 公用阵地  != 联合建立
                    if(dzzmclhMap.size()>0){
                        boolean hes=false;
                        for(String s:dzzmclhMap.values()){
                            if(orhonFgqy.getDzzmc()!=null && orhonFgqy.getDzzmc().equals(s)){
                                hes=true;
                            }
                        }
                        if(orhonFgqy.getDzzmc()!=null && !hes){
                            dzzmclhMap.put(orhonFgqy.getId(),orhonFgqy.getDzzmc());
                            tmpResult.setLhjl(tmpResult.getLhjl() + 1);
                            tmpResult.setJldzzzs(tmpResult.getJldzzzs()+1);
                        }
                    }else if(orhonFgqy.getDzzmc()!=null){
                        dzzmclhMap.put(orhonFgqy.getId(),orhonFgqy.getDzzmc());
                        tmpResult.setLhjl(tmpResult.getLhjl() + 1);
                        tmpResult.setJldzzzs(tmpResult.getJldzzzs()+1);
                    }
                }
//                else{
//                    if(dzzmcMap.size()>0){
//                        boolean hes=false;
//                        for(String s:dzzmcMap.values()){
//                            if(orhonFgqy.getDzzmc()!=null && orhonFgqy.getDzzmc().equals(s)){
//                                hes=true;
//                            }
//                        }
//                        if(orhonFgqy.getDzzmc()!=null && !hes){
//                            dzzmcMap.put(orhonFgqy.getDeptId(),orhonFgqy.getDzzmc());
//                        }
//                    }else if(orhonFgqy.getDzzmc()!=null){
//                        dzzmcMap.put(orhonFgqy.getDeptId(),orhonFgqy.getDzzmc());
//                    }
//                }
            } else {
                // 空或者不等于1的统统为未建立
                if (orhonFgqy.getIsdy()!=null && orhonFgqy.getIsdy().equals("1")) {
                    tmpResult.setWeiydydfgqy(tmpResult.getWeiydydfgqy() + 1);
                    zongji.setWeiydydfgqy(zongji.getWeiydydfgqy() + 1);
                }
                if (orhonFgqy.getSfpdjzdy()!=null && orhonFgqy.getSfpdjzdy().equals("1")) {
                    tmpResult.setWeidjzdyhdjzdzlxdfgqy(tmpResult.getWeidjzdyhdjzdzlxdfgqy() + 1);
                    zongji.setWeidjzdyhdjzdzlxdfgqy(zongji.getWeidjzdyhdjzdzlxdfgqy() + 1);
                }
                if (orhonFgqy.getIsgh()!=null && orhonFgqy.getIsgh().equals("1")) {
                    tmpResult.setWeiyjlghzzdfgqy(tmpResult.getWeiyjlghzzdfgqy() + 1);
                    zongji.setWeiyjlghzzdfgqy(zongji.getWeiyjlghzzdfgqy() + 1);
                }
                if (orhonFgqy.getIstzz()!=null && orhonFgqy.getIstzz().equals("1")) {
                    tmpResult.setWeiyjlgqtzzdfgqy(tmpResult.getWeiyjlgqtzzdfgqy() + 1);
                    zongji.setWeiyjlgqtzzdfgqy(zongji.getWeiyjlgqtzzdfgqy() + 1);
                }
                if (orhonFgqy.getIsjljcfnzz()!=null && orhonFgqy.getIsjljcfnzz().equals("1")) {
                    tmpResult.setWeiyjlfnjczzdfgqy(tmpResult.getWeiyjlfnjczzdfgqy() + 1);
                    zongji.setWeiyjlfnjczzdfgqy(zongji.getWeiyjlfnjczzdfgqy() + 1);
                }
                try {
                    tmpResult.setWeidys(Integer.parseInt(orhonFgqy.getDys()) + tmpResult.getWeidys());
                    zongji.setWeidys(Integer.parseInt(orhonFgqy.getDys()) + zongji.getWeidys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setWeicyrs( Integer.parseInt( orhonFgqy.getCyrs()) + tmpResult.getWeicyrs());
                    zongji.setWeicyrs( Integer.parseInt( orhonFgqy.getCyrs()) + zongji.getWeicyrs());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setWeinnfzdys ( Integer.parseInt( orhonFgqy.getNnfzdys()) + tmpResult.getWeinnfzdys());
                    zongji.setWeinnfzdys ( Integer.parseInt( orhonFgqy.getNnfzdys()) + zongji.getWeinnfzdys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
            }
        }
        zongji.setJldzzzs(dzzmcddMap.size()+dzzmclhMap.size());
        zongji.setDdjl(dzzmcddMap.size());
        zongji.setLhjl(dzzmclhMap.size());

        List<ReportOneResult> reportOneResultList = new ArrayList<>(qylxList.size());
        reportOneResultList.add(zongji);
        for (SysDictData dictData : qylxList) {
            ReportOneResult result = qiquMap.get(dictData.getDictValue());
            if(result == null){
                result = new ReportOneResult();
                this.initResult(result);
            }
            result.setType(dictData.getDictLabel());
            reportOneResultList.add(result);
        }
        ReportOneResult result = qiquMap.get("0");
        if(result!=null){
            result.setType("空");
            reportOneResultList.add(result);
        }
        rspData.setRows(reportOneResultList);
        rspData.setTotal(reportOneResultList.size());
        return rspData;
    }

    private void initResult(ReportOneResult tmpResult) {
        tmpResult.setDwl(0);
        tmpResult.setSl(0);
        tmpResult.setDdjldzzdfgqy(0);
        tmpResult.setDdsqlhdfgqy(0);
        tmpResult.setYjlghzzdfgqy(0);
        tmpResult.setYjlgqtzzdfgqy(0);
        tmpResult.setYjlfnjczzdfgqy(0);
        tmpResult.setDjzdyhdjzdzlxdfgqy(0);
        tmpResult.setYgdhdcsdfgqy(0);
        tmpResult.setJldzzzs(0);
        tmpResult.setDdjl(0);
        tmpResult.setLhjl(0);
        tmpResult.setDws(0);
        tmpResult.setDzzs(0);
        tmpResult.setDzbs(0);
        tmpResult.setBndxjldzzdfgqy(0);
        tmpResult.setBndxjlddzzs(0);
        tmpResult.setCyrysl(0);
        tmpResult.setDys(0);
        tmpResult.setNnfzdydfgqy(0);
        tmpResult.setFzdys(0);
        tmpResult.setXpdzgzzdys(0);

        tmpResult.setWeiydydfgqy(0);
        tmpResult.setWeidjzdyhdjzdzlxdfgqy(0);
        tmpResult.setWeiyjlgqtzzdfgqy(0);
        tmpResult.setWeiyjlghzzdfgqy(0);
        tmpResult.setWeiyjlfnjczzdfgqy(0);
        tmpResult.setWeihyzgbmzddfgqy(0);
        tmpResult.setWeismxzhjdsqdzzlxdfgqy(0);
        tmpResult.setWeicyrs(0);
        tmpResult.setWeidys(0);
        tmpResult.setWeinnfzdys(0);
        tmpResult.setWeixpdjgzzdys(0);

        tmpResult.setGmysfgqy(0);
        tmpResult.setGmyxfgqy(0);
    }

    /**
     * 第2个报表
     * 社会组织“两个覆盖”专项行动摸底排查情况统计表
     */
    @PostMapping("/two")
    @ResponseBody
    public TableDataInfo reporttwo(){
        SysDictData sysDictData = new SysDictData();
        sysDictData.setDictType("orhon_qyfl");
        sysDictData.setStatus("0");
        List<SysDictData> areaList = this.dictDataService.selectDictDataList(sysDictData);
        TableDataInfo rspData = new TableDataInfo();
        List<OrhonShzz> allShzz = this.orhonShzzService.selectOrhonShzzList(new OrhonShzz());
        Map<Long, ReportTwoResult> qiquMap = new HashMap<>(12);

        ReportTwoResult zongji=new ReportTwoResult();
        this.initResultTwo(zongji);
        zongji.setAreaName("总计");

        for (OrhonShzz orhonShzz : allShzz) {
            ReportTwoResult tmpResult = null;
            if(orhonShzz.getDeptId()==null){
                orhonShzz.setDeptId(0l);
            }
            if ( qiquMap.get(orhonShzz.getDeptId()) == null) {
                tmpResult = new ReportTwoResult();
                this.initResultTwo(tmpResult);
                qiquMap.put(orhonShzz.getDeptId(), tmpResult);
            } else {
                tmpResult = qiquMap.get(orhonShzz.getDeptId());
            }
            tmpResult.setDws(tmpResult.getDws() + 1);
            zongji.setDws(zongji.getDws() + 1);
            if ( orhonShzz.getIsdzz() != null && orhonShzz.getIsdzz().equals("1")) {
                // 已建立党组织
                tmpResult.setSl(tmpResult.getSl() + 1);
                zongji.setSl(zongji.getSl() + 1);
                if( orhonShzz.getIssqlh() != null && "1".equals(orhonShzz.getIssqlh())) {
                    tmpResult.setDdlghdshzz(tmpResult.getDdlghdshzz() + 1);
                    zongji.setDdlghdshzz(zongji.getDdlghdshzz() + 1);
                }
                if ( orhonShzz.getIsgh() != null &&  "1".equals(orhonShzz.getIsgh())) {
                    tmpResult.setYjlghzzdshzz(tmpResult.getYjlghzzdshzz() + 1);
                    zongji.setYjlghzzdshzz(zongji.getYjlghzzdshzz() + 1);
                }
                if (orhonShzz.getIstzz() != null &&   "1".equals(orhonShzz.getIstzz())) {
                    tmpResult.setYjlgqtzzdshzz(tmpResult.getYjlgqtzzdshzz() + 1);
                    zongji.setYjlgqtzzdshzz(zongji.getYjlgqtzzdshzz() + 1);
                }
                if (orhonShzz.getIsjljcfnzz() != null &&  "1".equals(orhonShzz.getIsjljcfnzz())) {
                    tmpResult.setYjlfnjjzzdshzz(tmpResult.getYjlfnjjzzdshzz() + 1);
                    zongji.setYjlfnjjzzdshzz(zongji.getYjlfnjjzzdshzz() + 1);
                }
//                djzdyhdjzdzlxdshzz党建指导员或党建指导组联系的社会组织

                if (orhonShzz.getIshdzd() != null && ("1".equals(orhonShzz.getIshdzd())||"2".equals(orhonShzz.getIshdzd()))) {
                    tmpResult.setYgdhdcsdshzz(tmpResult.getYgdhdcsdshzz() + 1);
                    zongji.setYgdhdcsdshzz(zongji.getYgdhdcsdshzz() + 1);
                    tmpResult.setDdjldzzdshzz(tmpResult.getDdjldzzdshzz() + 1);
                    zongji.setDdjldzzdshzz(zongji.getDdjldzzdshzz() + 1);
                }
                if ( orhonShzz.getIshdzd() != null && "1".equals(orhonShzz.getIshdzd())) {
                    tmpResult.setDdjl(tmpResult.getDdjl() + 1);
                    zongji.setDdjl(zongji.getDdjl() + 1);
                }
                if (orhonShzz.getIshdzd() != null &&  "2".equals(orhonShzz.getIshdzd())) {
                    tmpResult.setLhjl(tmpResult.getLhjl() + 1);
                    zongji.setLhjl(zongji.getLhjl() + 1);
                }

                if (orhonShzz.getDzzlx() != null &&  "1".equals(orhonShzz.getDzzlx()) ) {
                    // 党委
                    tmpResult.setDwys(tmpResult.getDwys() + 1);
                    zongji.setDwys(zongji.getDwys() + 1);
                } else if (orhonShzz.getDzzlx() != null &&  "3".equals(orhonShzz.getDzzlx()) ) {
                    // 党总支
                    tmpResult.setDzzs(tmpResult.getDzzs() + 1);
                    zongji.setDzzs(zongji.getDzzs() + 1);
                }else if (orhonShzz.getDzzlx() != null &&  "2".equals(orhonShzz.getDzzlx()) ) {
                    // 党支部数
                    tmpResult.setDzbs(tmpResult.getDzbs() + 1);
                    zongji.setDzbs(zongji.getDzbs() + 1);
                }
                //bndxjldzzdshzz 本年度新建立党组织的社会组织
                //bndxjlddzzs本年度新建立的党组织数

                try {
                    tmpResult.setCyrysl( Integer.parseInt( orhonShzz.getCyrs()) + tmpResult.getCyrysl());
                    zongji.setCyrysl( Integer.parseInt( orhonShzz.getCyrs()) + zongji.getCyrysl());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setDys(Integer.parseInt(orhonShzz.getDys()) + tmpResult.getDys());
                    zongji.setDys(Integer.parseInt(orhonShzz.getDys()) + zongji.getDys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setNnfzdydshzz ( Integer.parseInt( orhonShzz.getNnfzdys()) + tmpResult.getNnfzdydshzz());
                    zongji.setNnfzdydshzz ( Integer.parseInt( orhonShzz.getNnfzdys()) + zongji.getNnfzdydshzz());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setFzdys( Integer.parseInt( orhonShzz.getFzdxsl()) + tmpResult.getFzdys());
                    zongji.setFzdys( Integer.parseInt( orhonShzz.getFzdxsl()) + zongji.getFzdys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                if ( orhonShzz.getDjzdyxm()!= null) {
                    tmpResult.setXpdjgzzdys(tmpResult.getXpdjgzzdys() + 1);
                    zongji.setXpdjgzzdys(zongji.getXpdjgzzdys() + 1);
                }

                if ( orhonShzz.getDys()!= null && Integer.parseInt( orhonShzz.getDys())>0) {
                    tmpResult.setYdydshzz(tmpResult.getYdydshzz() + 1);
                    zongji.setYdydshzz(zongji.getYdydshzz() + 1);
                }

            }
            else {
                // 空或者不等于1的统统为未建立

                //weidjzdyhdjzdzlxdshzz党建指导员或党建指导组联系的社会组织
//                if (orhonShzz.getDys() != null && Integer.parseInt( orhonShzz.getDys()) >0) {
//                    tmpResult.setWeiydydshzz(tmpResult.getWeiydydshzz() + 1);
//                    zongji.setWeiydydshzz(zongji.getWeiydydshzz() + 1);
//                }
                if (orhonShzz.getIsgh() != null &&  "1".equals(orhonShzz.getIsgh())) {
                    tmpResult.setWeiyjlghzzdshzz(tmpResult.getWeiyjlghzzdshzz() + 1);
                    zongji.setWeiyjlghzzdshzz(zongji.getWeiyjlghzzdshzz() + 1);
                }
                if (orhonShzz.getIstzz() != null && "1".equals(orhonShzz.getIstzz())) {
                    tmpResult.setWeiyjlgqzzdshzz(tmpResult.getWeiyjlgqzzdshzz() + 1);
                    zongji.setWeiyjlgqzzdshzz(zongji.getWeiyjlgqzzdshzz() + 1);
                }
                if (orhonShzz.getIsjljcfnzz() != null &&  "1".equals(orhonShzz.getIsjljcfnzz())) {
                    tmpResult.setWeiyjlfnjczzdshzz(tmpResult.getWeiyjlfnjczzdshzz() + 1);
                    zongji.setWeiyjlfnjczzdshzz(zongji.getWeiyjlfnjczzdshzz() + 1);
                }
                // weihyzgbmzddshzz;行业主管部门指导的社会组织
                // weismxz;苏木乡镇或街道社区党组织联系的社会组织

                try {
                    tmpResult.setWeicyrs( Integer.parseInt( orhonShzz.getCyrs()) + tmpResult.getWeicyrs());
                    zongji.setWeicyrs( Integer.parseInt( orhonShzz.getCyrs()) + zongji.getWeicyrs());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setWeidys(Integer.parseInt(orhonShzz.getDys()) + tmpResult.getWeidys());
                    zongji.setWeidys(Integer.parseInt(orhonShzz.getDys()) + zongji.getWeidys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setWeinnfzdys( Integer.parseInt( orhonShzz.getNnfzdys()) + tmpResult.getWeinnfzdys());
                    zongji.setWeinnfzdys( Integer.parseInt( orhonShzz.getNnfzdys()) + zongji.getWeinnfzdys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                if ( orhonShzz.getDjzdyxm()!= null) {
                    tmpResult.setWeixpdjgzzdys(tmpResult.getWeixpdjgzzdys() + 1);
                    zongji.setWeixpdjgzzdys(zongji.getWeixpdjgzzdys() + 1);
                }
            }

        }

        List<ReportTwoResult> reportTwoResultList = new ArrayList<>(areaList.size());
        reportTwoResultList.add(zongji);

        for (SysDictData dictData : areaList) {
            ReportTwoResult result = qiquMap.get(Long.parseLong(dictData.getDictValue()));
            if(result == null){
                result = new ReportTwoResult();
                this.initResultTwo(result);
            }
            result.setAreaName(dictData.getDictLabel());
            reportTwoResultList.add(result);
        }
        ReportTwoResult result = qiquMap.get(0l);
        if(result!=null){
            result.setAreaName("空");
            reportTwoResultList.add(result);
        }
        rspData.setRows(reportTwoResultList);
        rspData.setTotal(reportTwoResultList.size());
        return rspData;

    }
    /**
     * 第2个报表
     * 社会组织“两个覆盖”专项行动摸底排查情况统计表
     */
    @PostMapping("/twolb")
    @ResponseBody
    public TableDataInfo reporttwolb(){
        SysDictData sysDictData = new SysDictData();
        sysDictData.setDictType("orhon_shzz_type");
        sysDictData.setStatus("0");
        List<SysDictData> shzzTypeList = this.dictDataService.selectDictDataList(sysDictData);
        TableDataInfo rspData = new TableDataInfo();
        List<OrhonShzz> allShzz = this.orhonShzzService.selectOrhonShzzList(new OrhonShzz());
        Map<String, ReportTwoResult> qiquMap = new HashMap<>(12);

        ReportTwoResult zongji=new ReportTwoResult();
        this.initResultTwo(zongji);
        zongji.setType("总计");

        for (OrhonShzz orhonShzz : allShzz) {
            ReportTwoResult tmpResult = null;
            if(orhonShzz.getType()==null) {
                orhonShzz.setType("0");
            }
            if ( qiquMap.get(orhonShzz.getType()) == null) {
                tmpResult = new ReportTwoResult();
                this.initResultTwo(tmpResult);
                qiquMap.put(orhonShzz.getType(), tmpResult);
            } else {
                tmpResult = qiquMap.get(orhonShzz.getType());
            }
            tmpResult.setDws(tmpResult.getDws() + 1);
            zongji.setDws(zongji.getDws() + 1);
            if ( orhonShzz.getIsdzz() != null && orhonShzz.getIsdzz().equals("1")) {
                // 已建立党组织
                tmpResult.setSl(tmpResult.getSl() + 1);
                zongji.setSl(zongji.getSl() + 1);
                tmpResult.setDdjldzzdshzz(tmpResult.getDdjldzzdshzz() + 1);
                zongji.setDdjldzzdshzz(zongji.getDdjldzzdshzz() + 1);
                if( orhonShzz.getIssqlh() != null && "1".equals(orhonShzz.getIssqlh())) {
                    tmpResult.setDdlghdshzz(tmpResult.getDdlghdshzz() + 1);
                    zongji.setDdlghdshzz(zongji.getDdlghdshzz() + 1);
                }
                if ( orhonShzz.getIsgh() != null &&  "1".equals(orhonShzz.getIsgh())) {
                    tmpResult.setYjlghzzdshzz(tmpResult.getYjlghzzdshzz() + 1);
                    zongji.setYjlghzzdshzz(zongji.getYjlghzzdshzz() + 1);
                }
                if (orhonShzz.getIstzz() != null &&   "1".equals(orhonShzz.getIstzz())) {
                    tmpResult.setYjlgqtzzdshzz(tmpResult.getYjlgqtzzdshzz() + 1);
                    zongji.setYjlgqtzzdshzz(zongji.getYjlgqtzzdshzz() + 1);
                }
                if (orhonShzz.getIsjljcfnzz() != null &&  "1".equals(orhonShzz.getIsjljcfnzz())) {
                    zongji.setYjlfnjjzzdshzz(zongji.getYjlfnjjzzdshzz() + 1);
                }
//                djzdyhdjzdzlxdshzz党建指导员或党建指导组联系的社会组织

                if (orhonShzz.getIshdzd() != null && ("1".equals(orhonShzz.getIshdzd())||"2".equals(orhonShzz.getIshdzd()))) {
                    tmpResult.setYgdhdcsdshzz(tmpResult.getYgdhdcsdshzz() + 1);
                    zongji.setYgdhdcsdshzz(zongji.getYgdhdcsdshzz() + 1);
                }
                if ( orhonShzz.getIshdzd() != null && "1".equals(orhonShzz.getIshdzd())) {
                    tmpResult.setDdjl(tmpResult.getDdjl() + 1);
                    zongji.setDdjl(zongji.getDdjl() + 1);
                }
                if (orhonShzz.getIshdzd() != null &&  "2".equals(orhonShzz.getIshdzd())) {
                    tmpResult.setLhjl(tmpResult.getLhjl() + 1);
                    zongji.setLhjl(zongji.getLhjl() + 1);
                }

                if (orhonShzz.getDzzlx() != null &&  "1".equals(orhonShzz.getDzzlx()) ) {
                    // 党委
                    tmpResult.setDwys(tmpResult.getDwys() + 1);
                    zongji.setDwys(zongji.getDwys() + 1);
                } else if (orhonShzz.getDzzlx() != null &&  "3".equals(orhonShzz.getDzzlx()) ) {
                    // 党总支
                    tmpResult.setDzzs(tmpResult.getDzzs() + 1);
                    zongji.setDzzs(zongji.getDzzs() + 1);
                }else if (orhonShzz.getDzzlx() != null &&  "2".equals(orhonShzz.getDzzlx()) ) {
                    // 党支部数
                    tmpResult.setDzbs(tmpResult.getDzbs() + 1);
                    zongji.setDzbs(zongji.getDzbs() + 1);
                }
                //bndxjldzzdshzz 本年度新建立党组织的社会组织
                //bndxjlddzzs本年度新建立的党组织数

                try {
                    tmpResult.setCyrysl( Integer.parseInt( orhonShzz.getCyrs()) + tmpResult.getCyrysl());
                    zongji.setCyrysl( Integer.parseInt( orhonShzz.getCyrs()) + zongji.getCyrysl());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setDys(Integer.parseInt(orhonShzz.getDys()) + tmpResult.getDys());
                    zongji.setDys(Integer.parseInt(orhonShzz.getDys()) + zongji.getDys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setNnfzdydshzz ( Integer.parseInt( orhonShzz.getNnfzdys()) + tmpResult.getNnfzdydshzz());
                    zongji.setNnfzdydshzz ( Integer.parseInt( orhonShzz.getNnfzdys()) + zongji.getNnfzdydshzz());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setFzdys( Integer.parseInt( orhonShzz.getFzdxsl()) + tmpResult.getFzdys());
                    zongji.setFzdys( Integer.parseInt( orhonShzz.getFzdxsl()) + zongji.getFzdys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                if ( orhonShzz.getDjzdyxm()!= null) {
                    tmpResult.setXpdjgzzdys(tmpResult.getXpdjgzzdys() + 1);
                    zongji.setXpdjgzzdys(zongji.getXpdjgzzdys() + 1);
                }

                if ( orhonShzz.getDys()!= null && Integer.parseInt( orhonShzz.getDys())>0) {
                    tmpResult.setYdydshzz(tmpResult.getYdydshzz() + 1);
                    zongji.setYdydshzz(zongji.getYdydshzz() + 1);
                }

            } else {
                // 空或者不等于1的统统为未建立

                //weidjzdyhdjzdzlxdshzz党建指导员或党建指导组联系的社会组织
                if (orhonShzz.getIsgh() != null &&  "1".equals(orhonShzz.getIsgh())) {
                    tmpResult.setWeiyjlghzzdshzz(tmpResult.getWeiyjlghzzdshzz() + 1);
                    zongji.setWeiyjlghzzdshzz(zongji.getWeiyjlghzzdshzz() + 1);
                }
                if (orhonShzz.getIstzz() != null && "1".equals(orhonShzz.getIstzz())) {
                    tmpResult.setWeiyjlgqzzdshzz(tmpResult.getWeiyjlgqzzdshzz() + 1);
                    zongji.setWeiyjlgqzzdshzz(zongji.getWeiyjlgqzzdshzz() + 1);
                }
                if (orhonShzz.getIsjljcfnzz() != null &&  "1".equals(orhonShzz.getIsjljcfnzz())) {
                    tmpResult.setWeiyjlfnjczzdshzz(tmpResult.getWeiyjlfnjczzdshzz() + 1);
                    zongji.setWeiyjlfnjczzdshzz(zongji.getWeiyjlfnjczzdshzz() + 1);
                }
                // weihyzgbmzddshzz;行业主管部门指导的社会组织
                // weismxz;苏木乡镇或街道社区党组织联系的社会组织

                try {
                    tmpResult.setWeicyrs( Integer.parseInt( orhonShzz.getCyrs()) + tmpResult.getWeicyrs());
                    zongji.setWeicyrs( Integer.parseInt( orhonShzz.getCyrs()) + zongji.getWeicyrs());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setWeidys(Integer.parseInt(orhonShzz.getDys()) + tmpResult.getWeidys());
                    zongji.setWeidys(Integer.parseInt(orhonShzz.getDys()) + zongji.getWeidys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                try {
                    tmpResult.setWeinnfzdys( Integer.parseInt( orhonShzz.getNnfzdys()) + tmpResult.getWeinnfzdys());
                    zongji.setWeinnfzdys( Integer.parseInt( orhonShzz.getNnfzdys()) + zongji.getWeinnfzdys());
                } catch (NumberFormatException e ) {
                    // 数据问题先不管
                }
                if ( orhonShzz.getDjzdyxm()!= null) {
                    tmpResult.setWeixpdjgzzdys(tmpResult.getWeixpdjgzzdys() + 1);
                    zongji.setWeixpdjgzzdys(zongji.getWeixpdjgzzdys() + 1);
                }
            }

        }

        List<ReportTwoResult> reportTwoResultList = new ArrayList<>(shzzTypeList.size());
        reportTwoResultList.add(zongji);
        for (SysDictData dictData : shzzTypeList) {
            ReportTwoResult result = qiquMap.get(dictData.getDictValue());
            if(result == null){
                result = new ReportTwoResult();
                this.initResultTwo(result);
            }
            result.setType(dictData.getDictLabel());
            reportTwoResultList.add(result);
        }
        ReportTwoResult result = qiquMap.get("0");
        if(result!=null){
            result.setType("空");
            reportTwoResultList.add(result);
        }
        rspData.setRows(reportTwoResultList);
        rspData.setTotal(reportTwoResultList.size());
        return rspData;

    }

    private void initResultTwo(ReportTwoResult tmpResult) {

        tmpResult.setDws(0);
        tmpResult.setSl(0);
        tmpResult.setDdjldzzdshzz(0);
        tmpResult.setDdlghdshzz(0);
        tmpResult.setYjlghzzdshzz(0);
        tmpResult.setYjlgqtzzdshzz(0);
        tmpResult.setYjlfnjjzzdshzz(0);
        tmpResult.setDjzdyhdjzdzlxdshzz(0);
        tmpResult.setYgdhdcsdshzz(0);
        tmpResult.setDdjl(0);
        tmpResult.setLhjl(0);
        tmpResult.setDwys(0);
        tmpResult.setDzzs(0);
        tmpResult.setDzbs(0);
        tmpResult.setBndxjldzzdshzz(0);
        tmpResult.setBndxjlddzzs(0);
        tmpResult.setCyrysl(0);
        tmpResult.setDys(0);
        tmpResult.setNnfzdydshzz(0);
        tmpResult.setFzdys(0);
        tmpResult.setXpdjgzzdys(0);
        tmpResult.setYdydshzz(0);

        tmpResult.setWeiydydshzz(0);
        tmpResult.setWeidjzdyhdjzdzlxdshzz(0);
        tmpResult.setWeiyjlghzzdshzz(0);
        tmpResult.setWeiyjlgqzzdshzz(0);
        tmpResult.setWeiyjlfnjczzdshzz(0);
        tmpResult.setWeihyzgbmzddshzz(0);
        tmpResult.setWeismxz(0);
        tmpResult.setWeicyrs(0);
        tmpResult.setWeidys(0);
        tmpResult.setWeinnfzdys(0);
        tmpResult.setWeixpdjgzzdys(0);
    }
    /**
     * 第3个报表
     * 已建立党组织的非公企业台账
     */
    @PostMapping("/three")
    @ResponseBody
    public TableDataInfo reportThree(){
        OrhonFgqy orhonFgqy=new OrhonFgqy();
        SysUser sysUser = ShiroUtils.getSysUser();
        startPage();
        if ( !sysUser.getLoginName().equals("admin") ) {
            orhonFgqy.setDeptId(sysUser.getUserDeptId().longValue());
        }
        //已建立党组织的非公企业台账  查询条件
        orhonFgqy.setIsdzz("1");
        java.util.List<com.ruoyi.system.domain.OrhonFgqy> list = orhonFgqyService.selectOrhonFgqyList(orhonFgqy);
        return getDataTable(list);
    }/**
     * 第4个报表
     * 已建立党组织的社会组织台账
     */
    @PostMapping("/four")
    @ResponseBody
    public TableDataInfo reportFour(){
        OrhonShzz orhonShzz=new OrhonShzz();
        SysUser sysUser = ShiroUtils.getSysUser();
        startPage();
        if ( !sysUser.getLoginName().equals("admin") ) {
            orhonShzz.setDeptId(sysUser.getUserDeptId().longValue());
        }
        //已建立党组织的社会组织台账  查询条件
        orhonShzz.setIsdzz("1");

        java.util.List<com.ruoyi.system.domain.OrhonShzz> list = orhonShzzService.selectOrhonShzzList(orhonShzz);
        return getDataTable(list);
    }/**
     * 第5个报表
     * 已建立党组织的个体户台账
     */
    @PostMapping("/five")
    @ResponseBody
    public TableDataInfo reportFive(){
        OrhonGtxx orhonGtxx=new OrhonGtxx();
        SysUser sysUser = ShiroUtils.getSysUser();
        startPage();
        if ( !sysUser.getLoginName().equals("admin") ) {
            orhonGtxx.setDeptId(sysUser.getUserDeptId());
        }
        //已建立党组织的个体户台账  查询条件
        orhonGtxx.setIsdzz("1");

        List<OrhonGtxx> list = orhonGtxxService.selectOrhonGtxxList(orhonGtxx);
        return getDataTable(list);
    }
    /**
     * 第6个报表
     * 僵尸空壳影子非公企业台账
     */
    @PostMapping("/six")
    @ResponseBody
    public TableDataInfo reportSix(){
        OrhonFgqy orhonFgqy=new OrhonFgqy();
        SysUser sysUser = ShiroUtils.getSysUser();
        startPage();
        if ( !sysUser.getLoginName().equals("admin") ) {
            orhonFgqy.setDeptId(sysUser.getUserDeptId().longValue());
        }
        //僵尸空壳影子非公企业台账  查询条件
        java.util.List<com.ruoyi.system.domain.OrhonFgqy> list =new ArrayList<>();
        orhonFgqy.setLx("2");
        list.addAll(orhonFgqyService.selectOrhonFgqyList(orhonFgqy));
        orhonFgqy.setLx("3");
        list.addAll(orhonFgqyService.selectOrhonFgqyList(orhonFgqy));
        orhonFgqy.setLx("4");
        list.addAll(orhonFgqyService.selectOrhonFgqyList(orhonFgqy));

        return getDataTable(list);
    }
    /**
     * 第7个报表
     * 休眠社会组织台账
     */
    @PostMapping("/seven")
    @ResponseBody
    public TableDataInfo reportSeven(){
        OrhonShzz orhonShzz=new OrhonShzz();
        SysUser sysUser = ShiroUtils.getSysUser();
        startPage();
        if ( !sysUser.getLoginName().equals("admin") ) {
            orhonShzz.setDeptId(sysUser.getUserDeptId().longValue());
        }
        //休眠社会组织台账  查询条件
        orhonShzz.setLx("1");

        java.util.List<com.ruoyi.system.domain.OrhonShzz> list = orhonShzzService.selectOrhonShzzList(orhonShzz);
        return getDataTable(list);
    }
    /**
     * 第8个报表
     * 非公企业及个体户党组织情况台账
     */
    @PostMapping("/eight")
    @ResponseBody
    public TableDataInfo reportEight(){
        com.ruoyi.system.domain.OrhonFgqy orhonFgqy=new OrhonFgqy();
        OrhonGtxx orhonGtxx=new OrhonGtxx();
        List<ReportEightResult>  list=new ArrayList<>();
        SysUser sysUser = ShiroUtils.getSysUser();
        startPage();
        if ( !sysUser.getLoginName().equals("admin") ) {
            orhonFgqy.setDeptId(sysUser.getUserDeptId().longValue());
            orhonGtxx.setDeptId(sysUser.getUserDeptId());
        }
        orhonFgqy.setIsdzz("1");
        java.util.List<com.ruoyi.system.domain.OrhonFgqy> listOrhonFgqy = orhonFgqyService.selectOrhonFgqyList(orhonFgqy);
//        List<ReportEightResult>  list1=new ArrayList<>();
//        for(OrhonFgqy f:listOrhonFgqy){
//            ReportEightResult r=new ReportEightResult();
//            BeanUtils.copyProperties(f, r);
//            list1.add(r);
//        }
//        BeanUtils.copyProperties(listOrhonFgqy, list1);
//        orhonGtxx.setIsdzz("1");
//        List<OrhonGtxx> listOrhonGtxx = orhonGtxxService.selectOrhonGtxxList(orhonGtxx);
//        List<ReportEightResult>  list2=new ArrayList<>();
//        for(OrhonGtxx gtxx:listOrhonGtxx){
//            ReportEightResult r=new ReportEightResult();
//            r.setMc(gtxx.getZhmc());
//            r.setIsdzz(gtxx.getIsdzz());
//            r.setDzzjlsj(gtxx.getDzzjlsj());
//            r.setDzzmc(gtxx.getDzzmc());
//            r.setDzzlx(gtxx.getDzzlx());
//            r.setDzzsdgx(gtxx.getDzzsdgx());
//            r.setSjdzz(gtxx.getSjdzz());
//            r.setIsgh(gtxx.getIsgh());
//            r.setIstzz(gtxx.getIstzz());
//            r.setIsjljcfnzz(gtxx.getIsjljcfnzz());
//            r.setHjxx(gtxx.getHjxx());
//            r.setDfzh(gtxx.getDfzh());
//            r.setSzd(gtxx.getJycs());
//            r.setLxdhjczh(gtxx.getLxdhjczh());
//            list2.add(r);
//        }
//        list.addAll(list1);
//        list.addAll(list2);
//        return getDataTable(list);
        return getDataTable(listOrhonFgqy);
    }
    /**
     * 第12个报表
     * 非公企业及个体户党建工作保障情况台账
     */
    @PostMapping("/twelve")
    @ResponseBody
    public TableDataInfo reportTwelve(){
        com.ruoyi.system.domain.OrhonFgqy orhonFgqy=new OrhonFgqy();
        OrhonGtxx orhonGtxx=new OrhonGtxx();
        List<ReportTwelveResult>  list=new ArrayList<>();
        SysUser sysUser = ShiroUtils.getSysUser();
        startPage();
        if ( !sysUser.getLoginName().equals("admin") ) {
            orhonFgqy.setDeptId(sysUser.getUserDeptId().longValue());
            orhonGtxx.setDeptId(sysUser.getUserDeptId());
        }
        orhonFgqy.setIsdzz("1");
        java.util.List<com.ruoyi.system.domain.OrhonFgqy> listOrhonFgqy = orhonFgqyService.selectOrhonFgqyList(orhonFgqy);
//        List<ReportTwelveResult>  list1=new ArrayList<>();
//        for(OrhonFgqy f:listOrhonFgqy){
//            ReportTwelveResult r=new ReportTwelveResult();
//            BeanUtils.copyProperties(f, r);
//            list1.add(r);
//        }
//        orhonGtxx.setIsdzz("1");
//        List<OrhonGtxx> listOrhonGtxx = orhonGtxxService.selectOrhonGtxxList(orhonGtxx);
//        List<ReportTwelveResult>  list2=new ArrayList<>();
//        for(OrhonGtxx gtxx:listOrhonGtxx){
//            ReportTwelveResult r=new ReportTwelveResult();
//            r.setMc(gtxx.getZhmc());
//            r.setYwdy(gtxx.getYwdy());
//            r.setDys(gtxx.getDys());
//            r.setZzdysl(gtxx.getZzdysl());
//            r.setYbdysl(gtxx.getYbdysl());
//            r.setLddysl(gtxx.getLddysl());
//            r.setSlhkddysl(gtxx.getSlhkddysl());
//            r.setJjfzsl(gtxx.getJjfzsl());
//            r.setFzdxsl(gtxx.getFzdxsl());
//            r.setNnfzdys(gtxx.getNnfzdys());
//            r.setDfsjbz(gtxx.getDfsjbz());
//            list2.add(r);
//        }
//        list.addAll(list1);
//        list.addAll(list2);
//        return getDataTable(list);
        return getDataTable(listOrhonFgqy);
    }
    /**
     * 第14个报表
     * 非公企业及个体户党建工作保障情况台账
     */
    @PostMapping("/fourteen")
    @ResponseBody
    public TableDataInfo reportFourteen(){
        com.ruoyi.system.domain.OrhonFgqy orhonFgqy=new OrhonFgqy();
        OrhonGtxx orhonGtxx=new OrhonGtxx();
        List<ReportFourteenResult>  list=new ArrayList<>();
        SysUser sysUser = ShiroUtils.getSysUser();
        startPage();
        if ( !sysUser.getLoginName().equals("admin") ) {
            orhonFgqy.setDeptId(sysUser.getUserDeptId().longValue());
            orhonGtxx.setDeptId(sysUser.getUserDeptId());
        }
        orhonFgqy.setIsdzz("1");
        java.util.List<com.ruoyi.system.domain.OrhonFgqy> listOrhonFgqy = orhonFgqyService.selectOrhonFgqyList(orhonFgqy);
//        List<ReportFourteenResult>  list1=new ArrayList<>();
//        for(OrhonFgqy f:listOrhonFgqy){
//            ReportFourteenResult r=new ReportFourteenResult();
//            BeanUtils.copyProperties(f, r);
//            list1.add(r);
//        }
//        orhonGtxx.setIsdzz("1");
//        List<OrhonGtxx> listOrhonGtxx = orhonGtxxService.selectOrhonGtxxList(orhonGtxx);
//        List<ReportFourteenResult>  list2=new ArrayList<>();
//        for(OrhonGtxx gtxx:listOrhonGtxx){
//            ReportFourteenResult r=new ReportFourteenResult();
//            r.setMc(gtxx.getZhmc());
//            r.setIshdzd(gtxx.getIshdzd());
//            r.setHdzdmj(gtxx.getHdzdmj());
//            r.setDjjf(gtxx.getDjjf());
//            r.setSjbfe(gtxx.getSjbfe());
//            r.setBjppe(gtxx.getBjppe());
//            r.setSfpdjzdy(gtxx.getSfpdjzdy());
//            r.setDjzdyxm(gtxx.getDjzdyxm());
//            r.setGzdwjzw(gtxx.getGzdwjzw());
//            r.setLxdhjczh(gtxx.getLxdhjczh());
//            list2.add(r);
//        }
//        list.addAll(list1);
//        list.addAll(list2);
//        return getDataTable(list);
        return getDataTable(listOrhonFgqy);
    }
    /**
     * 第16个报表
     * 非公企业及个体户党建工作特色情况台账
     */
    @PostMapping("/sixteen")
    @ResponseBody
    public TableDataInfo reportSixteen(){
        com.ruoyi.system.domain.OrhonFgqy orhonFgqy=new OrhonFgqy();
        OrhonGtxx orhonGtxx=new OrhonGtxx();
        List<ReportSixteenResult>  list=new ArrayList<>();
        SysUser sysUser = ShiroUtils.getSysUser();
        startPage();
        if ( !sysUser.getLoginName().equals("admin") ) {
            orhonFgqy.setDeptId(sysUser.getUserDeptId().longValue());
            orhonGtxx.setDeptId(sysUser.getUserDeptId());
        }
        orhonFgqy.setIsdzz("1");
        java.util.List<com.ruoyi.system.domain.OrhonFgqy> listOrhonFgqy = orhonFgqyService.selectOrhonFgqyList(orhonFgqy);
//        List<ReportSixteenResult>  list1=new ArrayList<>();
//        for(OrhonFgqy f:listOrhonFgqy){
//            ReportSixteenResult r=new ReportSixteenResult();
//            BeanUtils.copyProperties(f, r);
//            list1.add(r);
//        }
//        list.addAll(list1);
//        orhonGtxx.setIsdzz("1");
//        List<OrhonGtxx> listOrhonGtxx = orhonGtxxService.selectOrhonGtxxList(orhonGtxx);
//        List<ReportSixteenResult>  list2=new ArrayList<>();
//        for(OrhonGtxx gtxx:listOrhonGtxx){
//            ReportSixteenResult r=new ReportSixteenResult();
//            r.setMc(gtxx.getZhmc());
//            r.setIssqlh(gtxx.getIssqlh());
//            r.setQdjb(gtxx.getQdjb());
//            r.setQdsj(gtxx.getQdsj());
//            r.setXjpdjg(gtxx.getXjpdjg());
//            r.setJcqk(gtxx.getJcqk());
//            list2.add(r);
//        }
//        list.addAll(list2);
//        return getDataTable(list);
        return getDataTable(listOrhonFgqy);
    }
    /**
     * 有党组织的社会组织列表
     */
    @PostMapping("/shzzList")
    @ResponseBody
    public TableDataInfo shzzList(OrhonShzz orhonShzz)
    {
        SysUser sysUser = ShiroUtils.getSysUser();
        startPage();
        if ( !sysUser.getLoginName().equals("admin") ) {
            orhonShzz.setDeptId(sysUser.getUserDeptId().longValue());
        }
        orhonShzz.setIsdzz("1");
        java.util.List<com.ruoyi.system.domain.OrhonShzz> list = orhonShzzService.selectOrhonShzzList(orhonShzz);
        return getDataTable(list);
    }
}
