package com.ruoyi.web.controller.system;

import java.util.List;

import com.ruoyi.system.service.IOrhonGtxxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import com.ruoyi.common.config.Global;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.framework.util.ShiroUtils;
import com.ruoyi.system.domain.SysMenu;
import com.ruoyi.system.domain.SysUser;
import com.ruoyi.system.service.ISysConfigService;
import com.ruoyi.system.service.ISysMenuService;

/**
 * 首页 业务处理
 *
 * @author ruoyi
 */
@Controller
public class SysIndexController extends BaseController
{
    @Autowired
    private ISysMenuService menuService;

    @Autowired
    private ISysConfigService configService;

    @org.springframework.beans.factory.annotation.Autowired
    private com.ruoyi.system.service.IOrhonFgqyService orhonFgqyService;

    @org.springframework.beans.factory.annotation.Autowired
    private com.ruoyi.system.service.IOrhonShzzService orhonShzzService;

    @Autowired
    private IOrhonGtxxService orhonGtxxService;

    // 系统首页
    @GetMapping("/index")
    public String index(ModelMap mmap)
    {
        // 取身份信息
        SysUser user = ShiroUtils.getSysUser();
        // 根据用户id取出菜单
        List<SysMenu> menus = menuService.selectMenusByUser(user);
        mmap.put("menus", menus);
        mmap.put("user", user);
        mmap.put("sideTheme", configService.selectConfigByKey("sys.index.sideTheme"));
        mmap.put("skinName", configService.selectConfigByKey("sys.index.skinName"));
        mmap.put("copyrightYear", Global.getCopyrightYear());
        mmap.put("demoEnabled", Global.isDemoEnabled());
        return "index";
    }

    // 切换主题
    @GetMapping("/system/switchSkin")
    public String switchSkin(ModelMap mmap)
    {
        return "skin";
    }

    // 系统介绍
    @GetMapping("/system/main")
    public String main(ModelMap mmap)
    {
        String dzz = orhonFgqyService.findDzz();
        String qyzs = orhonFgqyService.findQyzs();
        String qyzyzs = orhonFgqyService.findQyzyzs();
        String gtzs = orhonGtxxService.findGtzs();
        double fgl=0;
        fgl=Double.valueOf( dzz )/Double.valueOf( qyzyzs );

        java.text.DecimalFormat df = new java.text.DecimalFormat("0.0");
        String format = df.format( fgl );
        double v = Double.valueOf( format ) * 100;
        String fgfgl= v+""+"%";

        java.text.NumberFormat nf = java.text.NumberFormat.getPercentInstance();
        nf.setMinimumFractionDigits(1);//设置保留小数位
        nf.setRoundingMode( java.math.RoundingMode.HALF_UP); //设置舍入模式
        String percent = nf.format(fgl);


        String qyzs1 = orhonShzzService.findQyzs();
        String shzz = orhonShzzService.findShzz();
        String shzzzydzzs = orhonShzzService.findShzzzydzzs();
        double shzzfgl=0;
        shzzfgl=Double.valueOf( shzzzydzzs )/Double.valueOf( qyzs1 );
        String percent1 = nf.format(shzzfgl);

        mmap.put("version", Global.getVersion());
        mmap.put("qyzs",qyzs);
        mmap.put( "dzz",dzz );
        mmap.put("qyzyzs",qyzyzs);
        mmap.put( "fgl",percent );
        mmap.put( "shzzqyzs",qyzs1 );
        mmap.put( "shzz",shzz );
        mmap.put( "shzzzydzzs",shzzzydzzs );
        mmap.put( "shzzfgl",percent1 );

        mmap.put( "gtzs",gtzs );
        return "main";
    }
}
