package com.ruoyi.system.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.system.domain.OrhonFgqy;

/**
 * 非公企业信息Mapper接口
 *
 * @author ruoyi
 * @date 2020-07-16
 */
public interface OrhonFgqyMapper
{
    /**
     * 查询非公企业信息
     *
     * @param id 非公企业信息ID
     * @return 非公企业信息
     */
    public com.ruoyi.system.domain.OrhonFgqy selectOrhonFgqyById(String id);

    /**
     * 查询非公企业信息列表
     *
     * @param orhonFgqy 非公企业信息
     * @return 非公企业信息集合
     */
    public java.util.List<com.ruoyi.system.domain.OrhonFgqy> selectOrhonFgqyList(com.ruoyi.system.domain.OrhonFgqy orhonFgqy);

    /**
     * 新增非公企业信息
     *
     * @param orhonFgqy 非公企业信息
     * @return 结果
     */
    public int insertOrhonFgqy(com.ruoyi.system.domain.OrhonFgqy orhonFgqy);

    /**
     * 修改非公企业信息
     *
     * @param orhonFgqy 非公企业信息
     * @return 结果
     */
    public int updateOrhonFgqy(com.ruoyi.system.domain.OrhonFgqy orhonFgqy);

    /**
     * 删除非公企业信息
     *
     * @param id 非公企业信息ID
     * @return 结果
     */
    public int deleteOrhonFgqyById(String id);

    /**
     * 批量删除非公企业信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteOrhonFgqyByIds(String[] ids);

    public String findDzz();

    public String findQyzs();

    String findQyzyzs();

    public List<Map> selectLineChart();

    List<Map> selectBarChart();

    List<Map> selectCurveChart();

    List<Map> selectPieChart();

    List<Map> selectRadarChart();

}
