package com.ruoyi.system.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.ruoyi.common.core.domain.AjaxResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OrhonFgqyMapper;
import com.ruoyi.system.domain.OrhonFgqy;
import com.ruoyi.system.service.IOrhonFgqyService;
import com.ruoyi.common.core.text.Convert;

/**
 * 非公企业信息Service业务层处理
 *
 * @author ruoyi
 * @date 2020-07-16
 */
@org.springframework.stereotype.Service
public class OrhonFgqyServiceImpl implements com.ruoyi.system.service.IOrhonFgqyService
{
    @org.springframework.beans.factory.annotation.Autowired
    private com.ruoyi.system.mapper.OrhonFgqyMapper orhonFgqyMapper;

    /**
     * 查询非公企业信息
     *
     * @param id 非公企业信息ID
     * @return 非公企业信息
     */
    @Override
    public com.ruoyi.system.domain.OrhonFgqy selectOrhonFgqyById(String id)
    {
        return orhonFgqyMapper.selectOrhonFgqyById(id);
    }

    /**
     * 查询非公企业信息列表
     *
     * @param orhonFgqy 非公企业信息
     * @return 非公企业信息
     */
    @Override
    public java.util.List<com.ruoyi.system.domain.OrhonFgqy> selectOrhonFgqyList(com.ruoyi.system.domain.OrhonFgqy orhonFgqy)
    {
        return orhonFgqyMapper.selectOrhonFgqyList(orhonFgqy);
    }

    /**
     * 新增非公企业信息
     *
     * @param orhonFgqy 非公企业信息
     * @return 结果
     */
    @Override
    public int insertOrhonFgqy(com.ruoyi.system.domain.OrhonFgqy orhonFgqy)
    {
        return orhonFgqyMapper.insertOrhonFgqy(orhonFgqy);
    }

    /**
     * 修改非公企业信息
     *
     * @param orhonFgqy 非公企业信息
     * @return 结果
     */
    @Override
    public int updateOrhonFgqy(com.ruoyi.system.domain.OrhonFgqy orhonFgqy)
    {
        return orhonFgqyMapper.updateOrhonFgqy(orhonFgqy);
    }

    /**
     * 删除非公企业信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteOrhonFgqyByIds(String ids)
    {
        return orhonFgqyMapper.deleteOrhonFgqyByIds( com.ruoyi.common.core.text.Convert.toStrArray(ids));
    }

    /**
     * 删除非公企业信息信息
     *
     * @param id 非公企业信息ID
     * @return 结果
     */
    @Override
    public int deleteOrhonFgqyById(String id)
    {
        return orhonFgqyMapper.deleteOrhonFgqyById(id);
    }

    @Override
    public String findQyzs() {
        return orhonFgqyMapper.findQyzs();
    }

    @Override
    public String findDzz() {
        return orhonFgqyMapper.findDzz();
    }

    @Override
    public String findQyzyzs() {
        return orhonFgqyMapper.findQyzyzs();
    }

    @Override
    public Object chart() {
        Map resultMap = new HashMap();
        try {
            List<Map> lineChart = orhonFgqyMapper.selectLineChart();
            resultMap.put("lineChart",lineChart);

            List<Map> barChart = orhonFgqyMapper.selectBarChart();
            resultMap.put("barChart",barChart);

            List<Map> curveChart = orhonFgqyMapper.selectCurveChart();
            resultMap.put("curveChart",curveChart);

            List<Map> pieChart = orhonFgqyMapper.selectPieChart();
            resultMap.put("pieChart",pieChart);

            List<Map> radarChart = orhonFgqyMapper.selectRadarChart();
            resultMap.put("radarChart",radarChart);
        }catch (Exception e){
            return AjaxResult.error(e+"");
        }
        return AjaxResult.success(resultMap);
    }


}
